

//constants


#define SCREEN_WIDTH  480
#define SCREEN_HEIGHT 272
#define PIXELSIZE	1	//in short
#define LINESIZE	512	//in short
#define FRAMESIZE	0x44000	//in byte


//480x272 = 60*38
#define CMAX_X 60
#define CMAX_Y 34
#define CMAX2_X 30
#define CMAX2_Y 17
#define CMAX4_X 15
#define CMAX4_Y 8


#define MKRGB(r,g,b) ( ((b&0xf8)<<7)+((g0xf8)<<2)+((r&0xf8)>>3)+0x8000 )


void pgWriteHighScore(int highscore);
int pgLoadHighScore();
void pgScreenDump();


void pgInit();
void pgWaitV();
void pgWaitVn(unsigned long count);
void pgScreenFrame(long mode,long frame);
void pgScreenFlip();
void pgScreenFlipV();
void pgPlot(unsigned long x,unsigned long y,unsigned long color);
void pgPrintNum(unsigned long x,unsigned long y,unsigned long color,long num,int magnitude);
void pgPrint(unsigned long x,unsigned long y,unsigned long color,const char *str);
void pgPrint2(unsigned long x,unsigned long y,unsigned long color,const char *str);
void pgPrint4(unsigned long x,unsigned long y,unsigned long color,const char *str);
void pgFillvram(unsigned long color);
void pgBitBlt(unsigned long x,unsigned long y,unsigned long w,unsigned long h,unsigned long mag,const unsigned short *d);
void pgPutChar(unsigned long x,unsigned long y,unsigned long color,unsigned long bgcolor,unsigned char ch,char drawfg,char drawbg,char mag);
void pgMoverect(unsigned long x, unsigned long y, long w, long h, unsigned long tx, unsigned long ty);
void pgFillrectFade(unsigned long x, unsigned long y, long w, long h, unsigned long color,int blendval);
void pgFillrect(unsigned long x, unsigned long y, long w, long h, unsigned long color);
char *pgGetVramAddr(unsigned long x, unsigned long y);




void pgcLocate(unsigned long x, unsigned long y);
void pgcColor(unsigned long fg, unsigned long bg);
void pgcDraw(char drawfg, char drawbg);
void pgcSetmag(char mag);
void pgcPutchar(const char ch);
void pgcPutchar_nocontrol(const char ch);
void pgcPuts(const char *str);
void pgcPutsn(const char *str,unsigned long max);
void pgcPutsln(const char *str);
void pgcPuthex2(const unsigned long s);
void pgcPuthex8(const unsigned long s);
void pgcCls();
void pgcClearlines(unsigned long st, unsigned long ed);
void pgcCleareol();




void pgErrorHalt(const char *str);










